# Umbral Mithrix

Major reworks to the fight, a new trophy item, and 2 new modes, Practice and Bonfire. When you spawn on the moon there'll be 2 shrines to activate either mode or just don't activate them if you want neither. You only need to interact with them once even if you're using LunarApostles. When completing the fight you'll get a trophy item to track your victories against Umbral.

### Practice Mode

Practice mode just makes you respawn on death in case you want to learn/practice the fight but don't want to do a whole other run (think of it as infinite dio's). The trophy item won't spawn at the end of the fight. It's removed after Mithrix dies in Phase 4.

### Bonfire Mode

Bonfire mode saves your drones, money, inventory, and timer when the fight starts and resets your fight on death. So you'll fight Umbral with the same build/allies until you defeat him. Made in case you want to challenge yourself to defeat Umbral but don't want to start a new run. If you die before starting the fight your run ends. It's removed after Mithrix dies in Phase 4. Resets even if you have a dio's. For Multiplayer the reset occurs when all players are dead.

### Downpatching

If 2.0 isn't for you, you can use the version you liked in R2Modman. 1.9.12, 1.9.11, and 1.9.7 were the main stable versions. When downloading the mod select the version dropdown and select the desired version. If already downloaded go to download again and select the dropdown. Delete your config.

![downpatch screenshot](https://i.ibb.co/pw0FsSy/downpatch.png)

### Config Info

You can edit config values in-game and during runs through Settings -> Mod Options -> UmbralMithrix. Stats are calculated at the start of each phase so you can change in-game configs up until the phase starts. If the in-game values are too limiting you can edit the modman config to input custom values.

![mod options](https://i.ibb.co/q9fC9jj/Screenshot-2022-09-12-165657.png)

## Credits

- Race for ideas, feedback, and testing. As well as writing the trophy item's logbook entry
- Cap for ideas, feedback, testing, and getting Cran to play the first Umbral release
- CranidosTM for hating the first Umbral release which made it into a better mod
- breadguy for the trophy item idea
- Everyone else who gave feedback, ideas, and bug reports

## Changelog

**2.0.1**

- Adds tethers for P2/P3 for more obvious "destroy this to remove immunity"
- Reduces P4 pizza speed slightly
- Adds a minimum distance to P3 pizzas 
- Removes chaos leap for mp
- Bug fixes
  - Fixes incin drone causing infinite drone spawns
  - Fixes some null refs
  - Fixes phantom crystals in mp
  - Fixes bonfire mp not teleporting everyone to the arena
  - Fixes mp bonfire mode working occasionally (hopefully)
  - Fixes some inventory items not being copied
  - Fixes clone orbs doing no damage

**2.0.0**
- DELETE YOUR CONFIG
- Config cleanup
- Codebase cleanup
- Updated dependencies
- Removes obelisk
- Adds trophy item (does nothing)
- Adds Practice Mode
- Adds Bonfire Mode
- Phase 1 Tweaks
- Phase 2 Tweaks
- Phase 3 Rework
- Phase 4 Rework

**1.9.12**

- Removes Umbral Wurms
- Removes umbral effect from glass clones
- Adds spawn effect to glass clones
- Adds execute immune to Mithrix
- Adds better Chaos Leap targeting (only targets players)

**1.9.11**

- CONFIG CHANGES TO MAKE UMBRAL EASIER. DELETE YOUR CONFIG UNLESS YOU LIKE HOW IT IS.
  - Increased Crushing Leap air time 2s -> 3s
  - Reduced Base HP to vanilla
  - Reduced Base Speed 15 -> 13
  - Reduced Turn Speed 450 -> 350
  - Reduced Acceleration 300 -> 200
  - Reduced Air Control 1.5 -> 0.5
- Reduces P4 lag by changing how weapon meshes are randomized (Cheers K King)
- Fixes Mithrix focusing drones on crushing leap (hopefully)
- Changes Crushing Leap to Chaos Leap
  - Chaos Leap has a 25% chance to retrigger itself
  - Chaos Leap spawns a flame pillar on landing
- Adds cute lil beams during the fight to be more cinematic

**1.9.7**

- Reverted back to 1.8.8